[已解决]"XXX" cannot be opened because the developer cannot be verified

最近在利用Flutter项目进行真机调试时,遇到了"XXX" cannot be opened because the developer cannot be verified的问题[下图],网上有一些解决方案,原理是正确的,但是解决步骤说得不是很详细,导致我在解决问题的时候,走了一些弯路,最后将问题解决。

解决方法是依次执行下列命令:

% cd ~/development/flutter/bin/cache/artifacts/libimobiledevice
% sudo xattr -d com.apple.quarantine idevicesyslog
% cd ~/development/flutter/bin/cache/artifacts/usbmuxd
% sudo xattr -d com.apple.quarantine iproxy

其中development是flutter SDK的目录。最终可以解决无法真机调试的问题。

[参考链接]